CXREF(1V)

NAME
cxref - generate a C program cross-reference

SYNOPSIS
cxref [ -c ] [ -w [ num ] ] [ -o filename ] [ -t ] filenames

SYSTEM V SYNOPSIS
/usr/5bin/cxref [ -c ] [ -w [ num ] ] [ -o filename ] [ -t ] filenames

AVAILABILITY
This command is available with the System V software installation option. Refer to for information on how to install optional software.

DESCRIPTION

cxref analyzes a collection of C files and attempts to build a cross-reference table. cxref utilizes a special option of cpp(1) to include #define'd information in its symbol table. It produces a listing on standard output of all symbols (auto, static, and global) in each file separately, or with the -c option, in combination. Each symbol contains an asterisk (*) before the declaring reference.

SYSTEM V DESCRIPTION
The System V version of cxref, run as /usr/5bin/cxref, makes the C preprocessor search for include files in /usr/5include before searching for them in /usr/include.

OPTIONS
In addition to the -D, -I and -U options (which are identical to their interpretation by cc(1V)), the following options are interpreted by cxref:

-c  Print a combined cross-reference of all input files.

-w[ num ]
    Width option which formats output no wider than num (decimal) columns. This option will default to 80 if num is not specified or is less than 51.

-o filename
    Direct output to named file.

-s  Operate silently; does not print input file names.

-t  Format listing for 80-column width.

FILES

/usr/tmp/xr*
    temporary files

SEE ALSO
cc(1V), cpp(1)

DIAGNOSTICS
Error messages are unusually cryptic, but usually mean that you cannot compile these files, anyway.

NOTES
While the compiler allows 8-bit strings and comments, 8-bits are not allowed anywhere else. See cc(1V) for an explanation about why cc is not 8-bit clean.

BUGS
cxref considers a formal argument in a #define macro definition to be a declaration of that symbol. For example, a program that #includes ctype.h, will contain many declarations of the variable c.